Bug 1357551 - [RFE] Support Composite Role
Summary: [RFE] Support Composite Role
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-ui
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ga
: 10.0 (Newton)
Assignee: Jason E. Rist
QA Contact: Ola Pavlenko
URL:
Whiteboard:
Depends On:
Blocks: 1303093 1353793
TreeView+ depends on / blocked
 
Reported: 2016-07-18 13:36 UTC by Loic Avenel
Modified: 2016-12-14 15:46 UTC (History)
14 users (show)

Fixed In Version: openstack-tripleo-ui-1.0.3-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 15:46:19 UTC


Attachments (Terms of Use)
Role Parameters (187.37 KB, image/png)
2016-09-22 07:12 UTC, Jiri Tomasek
no flags Details
Role Services (266.09 KB, image/png)
2016-09-22 07:13 UTC, Jiri Tomasek
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC

Description Loic Avenel 2016-07-18 13:36:18 UTC
Composite Role should be represented in Role section, Role Configuration can be view and edited.

Comment 2 Jiri Tomasek 2016-09-22 07:12:42 UTC
Created attachment 1203608 [details]
Role Parameters

Comment 3 Jiri Tomasek 2016-09-22 07:13:20 UTC
Created attachment 1203610 [details]
Role Services

Comment 4 Jiri Tomasek 2016-09-22 07:13:36 UTC
This has been recently implemented to certain extent. GUI is now able to list all Roles which are defined in tripleo-heat-templates (plan) and in Role detail section user is able to configure Role-related parameters as well as overview a list of services assigned to that Role and Configure each Service's parameters.

Creating custom Roles and Services and assigning them to a Role requires adding/manipulating templates and modifying roles_data.yaml The approach and options of doing this from GUI will be discussed at OpenStack Summit in Barcelona [2]

[1] Custom services docs (custom roles are TBA) http://tripleo.org/developer/tht_walkthrough/tht_walkthrough.html#composable-services-tutorial
[2] https://etherpad.openstack.org/p/ocata-tripleo

Comment 9 errata-xmlrpc 2016-12-14 15:46:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.